Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
Class SimpleMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage

Direct Known Subclasses:
  LocatedMessage

    public class SimpleMessage
    extends Message

A base class for compilation messages.

Version:
  $Id: SimpleMessage.java 6778 2007-07-02 10:40:33Z glaforge $
Author:
  Chris Poirier

Field Summary
Modifier and Type | Field and Description
--- | ---
`protected Object` | `data`
`protected String` | `message`
`protected ProcessingUnit` | `owner`

Constructor Summary
Constructor and Description
`SimpleMessage(String message, Object data, ProcessingUnit source)`
`SimpleMessage(String message, ProcessingUnit source)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getMessage()`
`void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.

Methods inherited from class org.codehaus.groovy.control.messages.Message
`create, create, create, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected String message

### data

    protected Object data

### owner

    protected ProcessingUnit owner

Constructor Detail

### SimpleMessage

    public SimpleMessage(String message,
                         ProcessingUnit source)

### SimpleMessage

    public SimpleMessage(String message,
                         Object data,
                         ProcessingUnit source)

Method Detail

### write

    public void write(PrintWriter writer,
                      Janitor janitor)

  Description copied from class: `Message`
  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

  Specified by:
    `write` in class `Message`

### getMessage

    public String getMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD